> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new organization

> Creates an organization under your reseller account (reseller auth required).



## OpenAPI

````yaml post /api/v2/createOrganization
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/createOrganization:
    post:
      tags:
        - Accounts
      summary: Create a new organization
      description: >-
        Creates an organization under your reseller account (reseller auth
        required).
      parameters:
        - name: targetResellerId
          in: query
          description: Reseller-ID under which the org will be created
          required: true
          example: '2286'
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - orgName
              properties:
                email:
                  description: Admin-user e-mail for the new org
                  type: string
                  example: admin@acmesolar.com
                orgName:
                  description: Organization name
                  type: string
                  example: Acme Solar
                accountName:
                  description: Default agent name for the organization
                  type: string
                  example: Acme Support
                orgAccountType:
                  description: >-
                    Organization account type. Internal orgs are billed through
                    reseller usage; customer orgs are eligible for full
                    subscriptions. Defaults to customer.
                  type: string
                  enum:
                    - internal
                    - customer
                  example: customer
                productPlanId:
                  description: >-
                    Product-plan ID. If omitted, defaults to your reseller
                    sell-plan.
                  type: string
                  example: pplan-basic-monthly
                offeredProductPlanId:
                  description: >-
                    Give an offered product plan to the organization (same
                    behavior as updateOrganization)
                  type: string
                  example: pplan-basic-monthly
                externalAccountId:
                  description: Your own CRM/customer ID for this org
                  type: string
                  example: external-org-12345
                externalBillingId:
                  description: External Id to match with your internal billing system
                  type: string
                  example: billing-id-12345
                hipaaSetting:
                  description: >-
                    HIPAA setting for this organization. on|off|inherit (inherit
                    from reseller)
                  type: string
                  enum:
                    - 'on'
                    - 'off'
                    - inherit
                  default: inherit
                numberingProviders:
                  description: Array of numbering provider configurations
                  type: array
                  items:
                    type: object
                    required:
                      - providerId
                      - config
                    properties:
                      providerId:
                        type: string
                        example: Twilio
                      default:
                        type: boolean
                        example: true
                      config:
                        type: object
                        additionalProperties:
                          type: string
                        example:
                          accountSid: ACxxxx
                          authToken: tokenxxxx
                vidaPremium:
                  description: Mark this account as an actively paying account
                  type: boolean
                  example: true
                smsEnabled:
                  description: Enable SMS Capabilities on the agent
                  type: boolean
                  example: true
                smsBrandId:
                  description: SMS Brand Id that is registered for the organization
                  type: string
                  example: XXXXXX
                smsCampaignId:
                  description: Approved SMS Campaign Id for the organizations traffic
                  type: string
                  example: XXXXXX
                integrations:
                  description: >-
                    Optional list of third-party app integrations to set up at
                    org creation
                  type: array
                  items:
                    type: object
                    required:
                      - appId
                      - appVersion
                      - appData
                    properties:
                      appId:
                        type: string
                        example: someappId
                      appVersion:
                        type: string
                        example: v1
                      appData:
                        type: object
                        description: Key/value settings specific to the integration
                        additionalProperties:
                          type: string
                        example:
                          apiToken: appsApiToken
                  example:
                    - appId: some-app-id
                      appVersion: v1
                      appData:
                        apiToken: APIToken
                    - appId: another-example-app
                      appVersion: v2
                      appData:
                        accountSid: sidxxxxxxx
                        accountToken: tokenxxxxxxx
                        apiUrl: https://someurl.example
      responses:
        '201':
          description: Organization successfully created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Organization created
                  organization:
                    type: object
                    description: Created organization object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````